BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ArithmeticException

Represents the error that occurs when the result of an arithmetic operation is too large to be represented by the destination type.

In languages that detect overflow, this is the exception that gets thrown. For example, in C#, the keyword is used to detect overflow conditions. A exception occurs only in a context.

The following CIL instructions throw :

add.ovf.<signed>
conv.ovf.<to type>
conv.ovf.<to type>.un
mul.ovf.<type>
sub.ovf.<type>
newarr

The following example demonstrates an error that causes a exception.

`using System; public class OverflowExample { public static void Main() { int i = 400; byte b = 0; try { checked { b = (byte)( i ); } } catch ( OverflowException e ) { Console.WriteLine( "Error caught: {0}", e ); } } }`

The output is

`Error caught: System.OverflowException: Arithmetic operation resulted in an overflow. at OverflowExample.Main()`
- Constructor

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance to a system-supplied message that describes the error. This message takes into account the current system culture.

  The property is initialized to .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments. The property is initialized to .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  An instance of that is the cause of the current Exception. If is non-null, then the current Exception was raised in a catch block handling .

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using , and the property using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  For information on inner exceptions, see .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)